import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/widgets/energy_consumption_by_phases_chart.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/widgets/energy_consumption_per_device_chart.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/widgets/power_clamp_energy_data_widget.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/widgets/total_energy_consumption_chart_box.dart';
import 'package:syncrow_web/utils/style.dart';

class AnalyticsEnergyManagementView extends StatelessWidget {
  const AnalyticsEnergyManagementView({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(32),
      child: Row(
        spacing: 20,
        children: [
          const Expanded(
            flex: 2,
            child: Column(
              spacing: 20,
              children: [
                Expanded(child: TotalEnergyConsumptionChartBox()),
                Expanded(child: EnergyConsumptionPerDeviceChart()),
              ],
            ),
          ),
          Expanded(
            child: Container(
              decoration: subSectionContainerDecoration.copyWith(
                borderRadius: BorderRadius.circular(30),
              ),
              padding: const EdgeInsets.all(30),
              child: const Column(
                spacing: 10,
                children: [
                  Expanded(flex: 2, child: PowerClampEnergyDataWidget()),
                  Expanded(child: EnergyConsumptionByPhasesChart()),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
