import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/blocs/total_energy_consumption/total_energy_consumption_bloc.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/widgets/total_energy_consumption_chart.dart';
import 'package:syncrow_web/pages/analytics/params/get_total_energy_consumption_param.dart';
import 'package:syncrow_web/utils/style.dart';

class TotalEnergyConsumptionChartBox extends StatefulWidget {
  const TotalEnergyConsumptionChartBox({super.key});

  @override
  State<TotalEnergyConsumptionChartBox> createState() =>
      _TotalEnergyConsumptionChartBoxState();
}

class _TotalEnergyConsumptionChartBoxState
    extends State<TotalEnergyConsumptionChartBox> {
  @override
  void initState() {
    final param = GetTotalEnergyConsumptionParam(
      startDate: DateTime.now().subtract(const Duration(days: 30)),
      endDate: DateTime.now(),
      spaceId: '123',
    );
    context.read<TotalEnergyConsumptionBloc>().add(
          TotalEnergyConsumptionLoadEvent(param: param),
        );
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<TotalEnergyConsumptionBloc, TotalEnergyConsumptionState>(
      builder: (context, state) => Container(
        decoration: subSectionContainerDecoration.copyWith(
          borderRadius: BorderRadius.circular(30),
        ),
        padding: const EdgeInsets.all(30),
        child: Column(
          spacing: 20,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(
              'Total Energy Consumption',
              style: TextStyle(
                fontSize: 22,
                fontWeight: FontWeight.w700,
              ),
            ),
            TotalEnergyConsumptionChart(chartData: state.chartData),
          ],
        ),
      ),
    );
  }
}
